import Chart from "../chart.js";

/**
 * 条形图组件
 * @param {[type]} dataModel [description]
 */
export default class ChartBarY extends Chart {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "ChartBarY", dataModel, parent);
  }

  get categoryField() { return this.dataModel.categoryField }
  set categoryField(value) { 
    this.dataModel.categoryField = value;
  }

  get stack() { return this.dataModel.stack }
  set stack(value) { 
    this.dataModel.stack = value ? true : false;
    if(this._jqObj) {
      //
    }
  }

  get series() { return this.dataModel.series }
  set series(value) { 
    this.dataModel.series = value;
  }
}